> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# ClickUp

> Integrate your application with the ClickUp API

## 🚀 Quickstart

Connect to ClickUp with Nango and see data flow in 2 minutes.

**1. Create the integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *ClickUp*.

> [!NOTE]
>
> Nango has a [Nango-managed OAuth app](https://nango.dev/docs/guides/auth/auth-guide.md#nango-managed-oauth-apps) you can use in development and production. Select it when you create the integration.

**2. Authorize ClickUp**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to ClickUp. Later, you'll let your users do the same directly from your app.

**3. Call the ClickUp API**

Let's make your first request to the ClickUp API (fetch the profile of the currently signed-in user). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/api/v2/user" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/api/v2/user',
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>'
> });
>
> console.log(JSON.stringify(res.data, null, 2));
> ```

Or fetch credentials dynamically via the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To use your own OAuth app instead of the Nango-managed one, follow the setup guide linked below.

## 📚 ClickUp Integration Guides

Nango maintained guides for common use cases.

* [How to register your own ClickUp OAuth app](https://nango.dev/docs/api-integrations/clickup/how-to-register-your-own-clickup-api-oauth-app)\
  Register an OAuth app with ClickUp and obtain credentials to connect it to Nango

Official docs: [ClickUp API docs](https://developer.clickup.com/docs)

## 🧩 Pre-built syncs & tools for ClickUp

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### Others

| Function name | Description | Type |
| - | - | - |
| `create-comment` | Create a comment in ClickUp on a task or list | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-folder` | Create a folder in ClickUp. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-goal` | Create a goal in ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-list` | Create a list in ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-space` | Create a space in ClickUp. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-task` | Create a task in ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-time-entry` | Create a time entry in ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-comment` | Delete a comment in ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-folder` | Delete a folder in ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-goal` | Delete a goal in ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-list` | Delete a list in ClickUp. This is a permanent delete and all tasks inside the list are also deleted. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-space` | Delete a space in ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-task` | Delete a task in ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-time-entry` | Delete a time entry in ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-folder` | Retrieve a single folder from ClickUp. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-goal` | Retrieve a single goal from ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-list` | Retrieve a single list from ClickUp. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-space` | Retrieve a single space from ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-task` | Retrieve a single task from ClickUp. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-time-entry` | Retrieve a single time entry from ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-user` | Retrieve a single workspace member from ClickUp. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-comments` | List comments from ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-folders` | List folders from a ClickUp space | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-goals` | List goals from ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-lists` | List lists from ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-spaces` | List spaces from ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-tasks` | List tasks from a ClickUp list with optional filtering and pagination | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-time-entries` | List time entries from ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-users` | List workspace members from ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-comment` | Update a comment in ClickUp. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-folder` | Update a folder in ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-goal` | Update a goal in ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-list` | Update a list in ClickUp. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-space` | Update a space in ClickUp. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-task` | Update a task in ClickUp | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-time-entry` | Update a time entry in ClickUp. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `comments` | Sync comments from ClickUp | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `folders` | Sync folders from ClickUp. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `goals` | Sync goals from ClickUp | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `lists` | Sync lists from ClickUp | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `spaces` | Sync spaces from ClickUp. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `tasks` | Sync tasks from ClickUp. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `time-entries` | Sync time entries from ClickUp | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `users` | Sync workspace members from ClickUp | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.